Engage > Profiles

Delete a profile

Delete a Metorik-only Engage profile with no orders.

DELETE /api/v1/store/engage/profiles

Delete a profile

curl --request DELETE \
  --url 'https://{baseUrl}/api/v1/store/engage/profiles' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
  "key": "value"
}'
{
  "profile_deleted": true
}

No response description.

Authorizations

  • Authorization string required header

    Generate a store API key from the store's Metorik API settings in Metorik, and choose the scopes needed for the endpoints you want to call.

Headers

  • Accept string required

    Response format header. Example: application/json

Request Body

application/json
  • email string required

    Email address for the profile to delete.

Response

application/json
  • profile_deleted boolean